class LoginEntity {
  String? msg;
  int? code;
  Data? data;

  LoginEntity({this.msg, this.code, this.data});

  LoginEntity.fromJson(Map<String, dynamic> json) {
    msg = json['msg'];
    code = json['code'];
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['msg'] = this.msg;
    data['code'] = this.code;
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}

class Data {
  String? phoneNumber;
  String? identificationCard;
  String? id;
  String? token;
  String? avatar;

  Data({this.phoneNumber, this.identificationCard, this.id, this.token,this.avatar});

  Data.fromJson(Map<String, dynamic> json) {
    phoneNumber = json['phoneNumber'];
    identificationCard = json['identificationCard'];
    id = json['id'];
    token = json['token'];
    avatar = json['avatar'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['phoneNumber'] = phoneNumber;
    data['identificationCard'] = identificationCard;
    data['id'] = id;
    data['token'] = token;
    data['avatar'] = avatar;
    return data;
  }
}
